# phpDox - Query\QueryBuilder::where

# Query\QueryBuilder::where

#### Specify condition(s) in the where clause of a query Note: this function works with key / value, or a passed array with key / value pairs

## Signature

`public function where(mixed $key, [array $val = , [mixed $escape = NULL]] )`

## Parameters

`$key` — mixed
`$val` — array
`$escape` — mixed

## Returns

QueryBuilder

## Defined by Interface

`QueryBuilderInterface`